package com.pcloud.common.utils;

import org.springframework.beans.BeanUtils;

/**
 * 
 * 
 * @author：songx
 * @date：2018年8月24日,下午2:18:40
 */
public class BeanNewUtils {

	/**
	 * 实体类之间的转换
	 * 
	 * @param source
	 *            来源
	 * @param clazz
	 *            目标对象
	 * @return
	 */
	public static <T> T copyProperties(Object source, T t) {
		if (source == null || t == null) {
			return t;
		}
		BeanUtils.copyProperties(source, t);
		return t;
	}

}
